Debian Bug report logs - #395217
applying options changes crashes wormux

version graph

Package: wormux; Maintainer for wormux is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for wormux is src:warmux.

Reported by: Viktor Bindewald <vitei@gmx.net>

Date: Wed, 25 Oct 2006 17:03:51 UTC

Severity: serious

Tags: patch

Found in version wormux/0.7.4-1

Fixed in version wormux/0.7.4-2

Done: Eddy Petrișor <eddy.petrisor@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#395217; Package wormux. Full text and rfc822 format available.

Acknowledgement sent to Viktor Bindewald <vitei@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Viktor Bindewald <vitei@gmx.net>
To: submit@bugs.debian.org
Subject: applying options changes crashes wormux
Date: Wed, 25 Oct 2006 18:57:54 +0200
Subject: applying options changes crashes wormux
Package: wormux
Version: 0.7.4-1
Severity: normal

If you start wormux and go to the options window and press the OK button
wormux crashes with the following error message:
------------------------------------------------------------
gui/list_box.cpp:221: Missed assertion "selected_item != -1".

C++ exception caught:
vector::_M_range_check

Cancelled
------------------------------------------------------------

It doesn't matter if you change an option or not.

Regards,
Viktor


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-486
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages wormux depends on:
ii  libc6                      2.3.6.ds1-7   GNU C Library: Shared
libraries
ii  libgcc1                    1:4.1.1-17    GCC support library
ii  libglib2.0-0               2.12.4-1      The GLib library of C
routines
ii  libglibmm-2.4-1c2a         2.12.0-1      C++ wrapper for the GLib
toolkit (
ii  libsdl-gfx1.2-4            2.0.13-2      drawing and graphical
effects exte
ii  libsdl-image1.2            1.2.5-2       image loading library for
Simple D
ii  libsdl-mixer1.2            1.2.6-1.1+b1  mixer library for Simple
DirectMed
ii  libsdl-net1.2              1.2.5-7       network library for Simple
DirectM
ii  libsdl-ttf2.0-0            2.0.8-3       ttf library for Simple
DirectMedia
ii  libsdl1.2debian            1.2.11-4      Simple DirectMedia Layer
ii  libsigc++-2.0-0c2a         2.0.17-2      type-safe Signal Framework
for C++
ii  libstdc++6                 4.1.1-17      The GNU Standard C++
Library v3
ii  libxml++2.6-2              2.14.0-0.1    A C++ interface to the
GNOME XML l
ii  libxml2                    2.6.26.dfsg-4 GNOME XML library
ii  wormux-data                0.7.4-1       Data files for the game
wormux

wormux recommends no packages.

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#395217; Package wormux. Full text and rfc822 format available.

Acknowledgement sent to Hanna Ollila <hamaolli@cc.jyu.fi>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 395217@bugs.debian.org (full text, mbox):

From: Hanna Ollila <hamaolli@cc.jyu.fi>
To: 395217@bugs.debian.org
Cc: Viktor Bindewald <vitei@gmx.net>
Subject: applying options changes crashes wormux
Date: Sun, 12 Nov 2006 17:06:17 +0200 (EET)
[Message part 1 (text/plain, inline)]
severity 395217 serious
tags 395217 patch
thanks

Hello,

It seems that the bug was due to a problem of the resolution settings.
Sometimes none of the resolutions available are selected when the program
starts: I only had 1024x768 listed but the program starts with 800x600. We
edited the file in src/menu/options.cpp to always list 800x600 since it is
minimum resolution and also to list the current resolution.

We also changed the break into a continue just in case there are suitable
modes later in the list.

Please find the patch enclosed :)

Regards,
Hanna Ollila

-- 
The early bird catches the worm,
but the second mouse gets the cheese.
[patch_for_wormux-0.7.4 (text/plain, attachment)]

Severity set to `serious' from `normal' Request was from Hanna Ollila <hamaolli@cc.jyu.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Hanna Ollila <hamaolli@cc.jyu.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Eddy Petrișor <eddy.petrisor@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Viktor Bindewald <vitei@gmx.net>:
Bug#395217. Full text and rfc822 format available.

Message #19 received at 395217-submitter@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 395217-submitter@bugs.debian.org, control@bugs.debian.org, Hanna Ollila <hamaolli@cc.jyu.fi>
Subject: I couldn't reproduce this bug with resolutions >800x600
Date: Mon, 13 Nov 2006 18:43:00 +0200
# I am just curious...
# Could you tell me what resolutions are available to your X server
# when you got this crash. I was able to reproduce it only if the
# only resolution available resolution was 640x480.
tags 395217 pending
thanks

-- 
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#395217; Package wormux. Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #24 received at 395217@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: Eddy Petrișor <eddy.petrisor@gmail.com>
Cc: 395217@bugs.debian.org, Hanna Ollila <hamaolli@cc.jyu.fi>
Subject: Re: I couldn't reproduce this bug with resolutions >800x600
Date: Mon, 13 Nov 2006 19:36:29 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Eddy Petrișor wrote:
> # I am just curious...
> # Could you tell me what resolutions are available to your X server
> # when you got this crash. I was able to reproduce it only if the
> # only resolution available resolution was 640x480.

Also, the patch adds redundant entries like 800x600(minimal),
800x600(current) and 800x600, which is confusing, IMHO.

I would have liked better a patch that wouldn't make this confusion. I
will look in the upstream repo to see if their patch is better (I think
they fixed this issue in r904 in their svn)

- --
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFFWK0cY8Chqv3NRNoRAnijAJ45JY0IQO/0xd/LANhF4U2kUilA9QCfa9oa
HPshvtefq1gSD6NqniCMqRA=
=xYLJ
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#395217; Package wormux. Full text and rfc822 format available.

Acknowledgement sent to Hanna Ollila <hamaolli@cc.jyu.fi>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #29 received at 395217@bugs.debian.org (full text, mbox):

From: Hanna Ollila <hamaolli@cc.jyu.fi>
To: Eddy Petrișor <eddy.petrisor@gmail.com>
Cc: 395217@bugs.debian.org
Subject: Re: I couldn't reproduce this bug with resolutions >800x600
Date: Tue, 14 Nov 2006 05:25:13 +0200 (EET)
On Mon, 13 Nov 2006, [UTF-8] Eddy PetriÈ^Yor wrote:
> Eddy Petrișor wrote:
> > # I am just curious...
> > # Could you tell me what resolutions are available to your X server
> > # when you got this crash. I was able to reproduce it only if the
> > # only resolution available resolution was 640x480.

I only have the resolution 1024x768 on X, on which i get the crash, since
none of the resolutions is selected at the menu when starting the game. If
you remove the .wormux/config.xml file the game will start with the
resolution 800x600 which is the minimum resolution for the game. This
would explain your problem with 640x480.

You can try to reproduce the bug by first removing the config file and
then starting the game. Go into the options menu and don't select a
resolution but instead click accept. This should crash the game.

> Also, the patch adds redundant entries like 800x600(minimal),
> 800x600(current) and 800x600, which is confusing, IMHO.

Feel free to add duplicate merging :)

rgds,
Hanna Ollila

-- 
The early bird catches the worm,
but the second mouse gets the cheese.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#395217; Package wormux. Full text and rfc822 format available.

Acknowledgement sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #34 received at 395217@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: Eddy Petrișor <eddy.petrisor@gmail.com>
Cc: 395217@bugs.debian.org, Hanna Ollila <hamaolli@cc.jyu.fi>
Subject: Re: I couldn't reproduce this bug with resolutions >800x600
Date: Tue, 14 Nov 2006 16:43:01 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Eddy Petrișor wrote:
> I would have liked better a patch that wouldn't make this confusion. I
> will look in the upstream repo to see if their patch is better (I think
> they fixed this issue in r904 in their svn)

I have changed the patch as seen at:
http://svn.debian.org/wsvn/pkg-games?op=comp&compare%5B%5D=%2Fpackages%2Ftags%2Fwormux%2F0.7.4-2@1982&compare%5B%5D=%2Fpackages%2Ftags%2Fwormux%2F0.7.4-2@1984

Changelog (in SVN):
* no more redundant resolutions in the resolution list
* the current resolution is marked by "*" since it doesn't need translation
* unfortunately the current resolution is always at the top, not ordered

Thanks again, Hanna :-) .

- --
Regards,
EddyP
=============================================
"Imagination is more important than knowledge" A.Einstein
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFFWdX1Y8Chqv3NRNoRAhvrAKCL6IyL6sVEQOYVs0O4KQ0wTHpJPwCeK/KN
i8QXNjf63wSByFUge+0uykY=
=IoJ1
-----END PGP SIGNATURE-----



Reply sent to Eddy Petrișor <eddy.petrisor@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Viktor Bindewald <vitei@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 395217-close@bugs.debian.org (full text, mbox):

From: Eddy Petrișor <eddy.petrisor@gmail.com>
To: 395217-close@bugs.debian.org
Subject: Bug#395217: fixed in wormux 0.7.4-2
Date: Tue, 14 Nov 2006 08:32:39 -0800
Source: wormux
Source-Version: 0.7.4-2

We believe that the bug you reported is fixed in the latest version of
wormux, which is due to be installed in the Debian FTP archive:

wormux-data_0.7.4-2_all.deb
  to pool/main/w/wormux/wormux-data_0.7.4-2_all.deb
wormux_0.7.4-2.diff.gz
  to pool/main/w/wormux/wormux_0.7.4-2.diff.gz
wormux_0.7.4-2.dsc
  to pool/main/w/wormux/wormux_0.7.4-2.dsc
wormux_0.7.4-2_i386.deb
  to pool/main/w/wormux/wormux_0.7.4-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 395217@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eddy Petrișor <eddy.petrisor@gmail.com> (supplier of updated wormux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 13 Nov 2006 23:59:18 +0200
Source: wormux
Binary: wormux wormux-data
Architecture: source i386 all
Version: 0.7.4-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Eddy Petrișor <eddy.petrisor@gmail.com>
Description: 
 wormux     - A funny fight game on 2D maps
 wormux-data - Data files for the game wormux
Closes: 383990 392774 395217
Changes: 
 wormux (0.7.4-2) unstable; urgency=medium
 .
   [ Eddy Petrișor ]
   * do not install upstream changelog twice (Closes: #383990)
   * fix the problem with extreemly large angles for the gnu,
     many thanks to upstream (Laurent DEFERT SIMONNEAU) for
     tracking down the core of the problem (Closes: #392774)
   * added patchutils as a build dependency since we need patches
   * wrote my name with the correct diacritic in control file
   * doesn't crash if default resolution is unavailable, thanks
     Hanna Ollila for the initial patch (Closes: #395217)
Files: 
 659cb0837b4a5b4a812e93c10ff45bcb 922 games optional wormux_0.7.4-2.dsc
 79400c3fbc69faf2ca91571371d2165d 26700 games optional wormux_0.7.4-2.diff.gz
 bd7fd73585875716be5fd3ad1f68b46c 30135012 games optional wormux-data_0.7.4-2_all.deb
 648ef9697b8eb38187345f63db7a7cb4 400194 games optional wormux_0.7.4-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFWeh2pdwBkPlyvgMRAugHAJ4sUsqtNqfCsgF47LJ2CuAxl9WbSQCeM7aw
mvfo0au6l7J8M1OKkGY44hw=
=4eO4
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jul 2007 07:39:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:58:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.